function fobj = L0SPCA_ComputeObj(X,A,rho1,rho2,k,const,m)
% 0.5/m*||A-A*X*X'||_F^2 + rho ( ||X||_1 - ||X||_{topk} ), s.t. X'X = I
X = OrthProj(X);
fobj = -0.5/m*fnorm(A*X)^2 + const + rho1*norm(X(:),1) - rho2*topksum(X(:),k);

% -0.5/m*fnorm(A*X)^2 + const - 0.5/m * fnorm(A-A*X*X')^2
